import { Done } from '../../../../../Class/Functional/Done';
import { Holder } from '../../../../../Class/Holder';
import { System } from '../../../../../system';
import { SpeechRecognitionOpt } from '../../../../../types/global/SpeechRecognition';
export type I = {
    opt: SpeechRecognitionOpt;
    stop: any;
    start: any;
    done: any;
};
export type O = {
    text: string;
};
export default class SpeechToText extends Holder<I, O> {
    private _recorder;
    constructor(system: System);
    f({ opt }: I, done: Done<O>): void;
    d(): void;
    onIterDataInputData(name: keyof I, data: any): void;
}
